Kerbal Space Program - Bug #19357

Seated Kerbals Not Occluded In Cargo/Service Bays/Fairings (except MK3)
07/05/2018 04:37 AM - bewing

Status: Moot Start date: 03/17/2018
Severity: Normal % Done: 0%
Assignee:

Category: Physics

Target version:

Version: 1.41 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Core Game

Description

This is a bug that appeared in a previous version of KSP. Kerbals are no longer being occluded in cargo/service bays/fairings and
are consequently producing huge amounts of drag and running the risk of exposure to re-entry heat.

Note that this bug was fixed for 1.4.4 in MK3 cargo bays only. For some reason, those are behaving differently from all the other
bays.
Reproduction:

Launch one of the test vehicles.

Turn on "View Aero Data in Context Menus" in the Physics/Aero tab of the Debug menu.
EVA a kerbal and walk it over to a seat, with the bay open.

Seat the kerbal.

Open and pin the context menus for the Kerbal, and the Command seat.

Close the bay.

Select the Command Pod of the craft and choose "Control from here" in the PAW.
Turn on SAS.

Stage the engine.

Increase throttle.

Result:
The Kerbal's PAW will show drag, while the command seat is shown with zero drag because it's occluded.

Related issues:
Copied from Kerbal Space Program - Bug #18105: Seated Kerbals Not Ocluded In ... Closed 03/17/2018

History

#1 - 07/05/2018 04:37 AM - bewing
- File seat_test2.craft added
- Copied from Bug #18105: Seated Kerbals Not Ocluded In Cargo/Materials Bays/Fairings. added

#3 - 07/05/2018 04:52 AM - bewing
- Status changed from Confirmed to Moot

- % Done changed from 10 to 0

Files

Oclusion Test.craft 36.1 KB 03/17/2018 Cupcake..
Screen Shot 2018-03-29 at 5.32.00 PM.png 3.58 MB 03/30/2018 enginersdontfly@gmail.com
screenshot12.jpg 176 KB 06/30/2018 Anonymous
seat_test2.craft 29.4 KB 07/05/2018 bewing
